<?php
/**
 * Featured Posts Section options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add Featured Posts section
$wp_customize->add_section( 'personify_featured_section', array(
	'title'             => esc_html__( 'Featured Posts Section','personify' ),
	'description'       => esc_html__( 'Featured Posts Section options.', 'personify' ),
	'panel'             => 'personify_front_page_panel',
) );

// Featured Posts content enable control and setting
$wp_customize->add_setting( 'personify_theme_options[featured_section_enable]', array(
	'default'			=> 	$options['featured_section_enable'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[featured_section_enable]', array(
	'label'             => esc_html__( 'Featured Posts Section Enable', 'personify' ),
	'section'           => 'personify_featured_section',
	'on_off_label' 		=> personify_enable_options(),
) ) );

// Add dropdown category setting and control.
$wp_customize->add_setting(  'personify_theme_options[featured_content_category]', array(
	'sanitize_callback' => 'personify_sanitize_single_category',
) ) ;

$wp_customize->add_control( new Personify_Dropdown_Taxonomies_Control( $wp_customize,'personify_theme_options[featured_content_category]', array(
	'label'             => esc_html__( 'Select Category', 'personify' ),
	'description'      	=> esc_html__( 'Note: Latest three posts will be shown from selected category', 'personify' ),
	'section'           => 'personify_featured_section',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'personify_is_featured_section_enable'
) ) );

// Featurd Posts image setting and control.
$wp_customize->add_setting( 'personify_theme_options[featured_image]', array(
	'sanitize_callback' => 'personify_sanitize_image'
) );

$wp_customize->add_control(
	new WP_Customize_Image_Control( $wp_customize, 'personify_theme_options[featured_image]',
		array(
		'label'       		=> esc_html__( 'Featured Image', 'personify' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'personify' ), 748, 900 ),
		'section'     		=> 'personify_featured_section',
		'active_callback'	=> 'personify_is_featured_section_enable',
) ) );
