<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

$wp_customize->add_section( 'personify_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','personify' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'personify' ),
	'panel'             => 'personify_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'personify_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'personify_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'personify' ),
	'section'          	=> 'personify_breadcrumb',
	'on_off_label' 		=> personify_enable_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'personify_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'personify_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'personify' ),
	'active_callback' 	=> 'personify_is_breadcrumb_enable',
	'section'          	=> 'personify_breadcrumb',
) );
