<?php
/**
 * personify options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

if ( ! function_exists( 'personify_enable_options' ) ) :
    /**
    * Returns list of enable option
    * @return array font styles
    */
    function personify_enable_options(){

        $choices = array(
            'on'         => esc_html__( 'Enable', 'personify' ),
            'off'        => esc_html__( 'Disable', 'personify' ),
        );
        $output = apply_filters( 'personify_typography_options', $choices );

        return $output;
    }
endif;

if ( ! function_exists( 'personify_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function personify_site_layout() {
        $personify_site_layout = array(
            'wide'  => get_template_directory_uri() . '/assets/images/full.png',
            'boxed' => get_template_directory_uri() . '/assets/images/boxed.png',
        );

        $output = apply_filters( 'personify_site_layout', $personify_site_layout );
        return $output;
    }
endif;


if ( ! function_exists( 'personify_pagination_options' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function personify_pagination_options() {
        $personify_pagination_options = array(
            'numeric'   => esc_html__( 'Numeric', 'personify' ),
            'default'   => esc_html__( 'Default(Older/Newer)', 'personify' ),
        );

        $output = apply_filters( 'personify_pagination_options', $personify_pagination_options );

        return $output;
    }
endif;

if ( ! function_exists( 'personify_sidebar_position' ) ) :
    /**
     * Sidebar position
     * @return array Sidbar positions
     */
    function personify_sidebar_position() {
        $personify_sidebar_position = array(
            'page-full-width'     => get_template_directory_uri() . '/assets/images/full.png',
            'page-content-width'  => get_template_directory_uri() . '/assets/images/boxed.png',
        );

        $output = apply_filters( 'personify_sidebar_position', $personify_sidebar_position );

        return $output;
    }
endif;
